package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbDeviceMaintenanceDictionaryEntity;
import com.ruoyi.web.v3.model.request.HbDeviceMaintenanceDictionaryPageReq;

/**
 * <p>
 * v3.0 设备维护条目字典管理 服务类
 * </p>
 */
public interface IHbDeviceMaintenanceDictionaryService extends IService<HbDeviceMaintenanceDictionaryEntity> {

    AjaxResult add(HbDeviceMaintenanceDictionaryEntity request);

    AjaxResult edit(HbDeviceMaintenanceDictionaryEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbDeviceMaintenanceDictionaryPageReq request);

    AjaxResult listAll();

}
